local Solid = GameObject:extend()

function Solid:new(area, x, y, opts)
    Solid.super.new(self, area, x, y, opts)
    self:addPhysics(x, y, {body_type = 'static', collision_class = 'Solid', w = self.w, h = self.h})
end

function Solid:update(dt)
    Solid.super.update(self, dt)
end

function Solid:draw()
    love.graphics.setColor(default_color)
    love.graphics.rectangle('line', self.x - self.w/2, self.y - self.h/2, self.w, self.h)
    love.graphics.setColor(255, 255, 255)
end

function Solid:destroy()
    Solid.super.destroy(self)
end

return Solid
